Skip to main content
PUT
/
v1
/
incident_types
/
{id}
Update an incident type
curl --request PUT \
  --url https://api.rootly.com/v1/incident_types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "incident_types",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "color": "<string>",
      "position": 123,
      "notify_emails": [
        "<string>"
      ],
      "slack_channels": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "slack_aliases": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "properties": [
        {
          "catalog_property_id": "<string>",
          "value": "<string>"
        }
      ]
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/incident_types/{id}"

payload = { "data": {
"type": "incident_types",
"attributes": {
"name": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123,
"notify_emails": ["<string>"],
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
],
"properties": [
{
"catalog_property_id": "<string>",
"value": "<string>"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'incident_types',
attributes: {
name: '<string>',
description: '<string>',
color: '<string>',
position: 123,
notify_emails: ['<string>'],
slack_channels: [{id: '<string>', name: '<string>'}],
slack_aliases: [{id: '<string>', name: '<string>'}],
properties: [{catalog_property_id: '<string>', value: '<string>'}]
}
}
})
};

fetch('https://api.rootly.com/v1/incident_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "incident_types",
    "attributes": {
      "name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "color": "<string>",
      "position": 123,
      "notify_emails": [
        "<string>"
      ],
      "slack_channels": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "slack_aliases": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "properties": [
        {
          "catalog_property_id": "<string>",
          "value": "<string>"
        }
      ]
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
required

Resource UUID

Body

application/vnd.api+json
data
object
required

Response

incident_type updated

data
object
required
included
object[]